Download it now!
Bug 31714 - Improve documentation to show how to show hidden columns and rows.
Summary: Improve documentation to show how to show hidden columns and rows.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: sophie
URL:
Whiteboard: target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-18 05:10 UTC by Aaron Digulla
Modified: 2013-09-19 13:56 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
propose an amended help text (819 bytes, text/plain)
2013-09-04 13:16 UTC, sophie
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aaron Digulla 2010-11-18 05:10:23 UTC
"Show Column" only works if you select the range of columns. It doesn't do anything if you Ctrl-Click the two columns left and right of a hidden column.

Please change the code to reveal all columns that are between any selected columns, no matter if I selected them with Shift or Ctrl.
Comment 1 Yifan Jiang 2010-11-22 02:50:20 UTC
Assign to Kohei, the bugs seems annoying ...

For me:

Ctrl select -> Hide -> Works well

Ctrl select -> Show -> Doesn't work

Mark it as medium importance since we got a workaround by using Shift.
Comment 2 Kohei Yoshida 2010-11-22 09:08:27 UTC
But this is the correct behavior.  To show a hidden column the hidden column needs to be selected.  If you ctrl-click the columns on the left and right sides of the hidden column, the hidden column itself is not selected.  But if you select a range of columns including the hidden one, then it is selected (hence show column does the right thing).
Comment 3 Aaron Digulla 2010-11-22 11:06:56 UTC
Correct for a computer maybe but not for a human: Since I can't see the hidden columns, I don't expect that Shift will select them. Therefore, the behavior is confusing.

Also: If "Show" doesn't do anything because no hidden columns are selected, why is it enabled?

You see, the behavior of LO is counter-intuitive. Please make the experience more pleasant.
Comment 4 Kohei Yoshida 2010-11-22 11:32:05 UTC
You can just select the columns in range with your mouse even *without* bothering with the Shift or Ctrl.  Is that not intuitive enough?
Comment 5 Aaron Digulla 2010-11-22 11:42:49 UTC
It never occurred to me that this might be possible.

I mean: How can I select something that isn't visible? When using "Shift" and the metaphor "Select range", then I can understand why that allows to show the column.

But moving the mouse with the left button pressed triggers "Drag&Drop" in my head. I'd expect some kind of column content re-ordering, not selection. I kind of see your approach (selecting in a text editor) but when I look at calc, I'm in "table mode." Table headers allow to sort, drag and crop the column elsewhere, etc. Drag-select didn't occur to me.

So no, for me, it isn't intuitive.
Comment 6 Kohei Yoshida 2010-11-22 11:54:07 UTC
Ok, fair enough.  But that's how it's done in any spreadsheet programs.  Doing it in any other way would be even more confusing even for the experienced spreadsheet users.
Comment 7 Kohei Yoshida 2010-11-22 12:02:00 UTC
Ok.  Maybe I can ask for your opinion.  What way of showing hidden columns would you consider more intuitive?  What information would have helped you more in this situation?
Comment 8 Aaron Digulla 2010-11-22 12:03:53 UTC
Having some documentation how it is supposed to behave might help. Please see
bug 31713 :-)

And it would be really great if you could show all hidden columns that are
between two selected columns/rows, no matter how they were selected. Just
ignore the range selection.

Which begs the question how to handle this case:

   A* [B] C* D [E] F G* [H] I* J K

(Selection: A,C,G,I; hidden: B,E,H).

If possible, this code should make B and H visible (based on the fact that
neither D nor F are selected).

   A* [B] [C] D* [E] *F [G] [H] I* J K

My intuition says "Make BCGH visible". E stays as it is. But I think that
becomes too complex. How about this rule:

1. If a hidden column is selected, make it visible.

2. If column[i] and column[j] are selected and all columns[i+1 ... j-1] are
hidden, make them visible.

I'm aware that the rules might reveal too much but they will never reveal too few columns (i.e. leaving the user in a "why doesn't it work???" state).
Comment 9 Kohei Yoshida 2010-11-24 13:28:34 UTC
As much as I'd like to help you out, changing the current behavior is not something I'm willing to do, since that's been pretty much how any spreadsheet software works, and changing it the way you suggested would cause other technical issues.

But we should improve our documentation to make it clear how it's supposed to work.  Therefore I'm re-assigning to David.
Comment 10 LeMoyne Castle 2011-06-12 17:28:41 UTC
Existing complex behavior needs better explanation in doc
version -> <any>; already assigned
Comment 11 bfoman (inactive) 2013-05-16 10:43:28 UTC
This bug has not been touched by its owner for a long time. To make it clearer which bugs should be fixed by someone else please take following action:
- If you are the owner, and you are actively working on the bug, please give it an update. 
- If you are the owner, and you do not plan to work on it in the near future,
please reassign it to the default assignee and change its status to NEW.
Comment 12 sophie 2013-08-08 07:22:02 UTC
I propose to work on the help file and so take the liberty to reassign the bug to me. David if you want to work on it don't hesitate to reassign it to you. Sophie
Comment 13 sophie 2013-08-08 07:22:34 UTC
Assigned to sophie
Comment 14 sophie 2013-09-04 13:16:57 UTC
Created attachment 85198 [details]
propose an amended help text

I've added an example (thanks to Pierre-Yves) to the text so hopefully it makes it easier for newcomers. Sophie
Comment 15 Aaron Digulla 2013-09-06 12:01:56 UTC
+1 from me. The new help text looks very good and solves my issue.
Comment 17 Commit Notification 2013-09-19 13:56:38 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=b9ecf33d0091f374e1380290ea6d03509c78a3c7

fdo#31714 Improve help for Show Row/Column



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.